> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Profile Transaction Claim

> A `POST` to the `/profiles/{profile}/transactions/claims` endpoint allows your application to create profile transaction claim.



## OpenAPI

````yaml post /v3/profiles/{profile}/transactions/claims
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/profiles/{profile}/transactions/claims:
    post:
      tags:
        - Profile Transaction Claim
      summary: Add Profile Transaction Claim
      description: >-
        A `POST` to the `/profiles/{profile}/transactions/claims` endpoint
        allows your application to create profile transaction claim.
      operationId: profileTransactionClaim.store
      parameters:
        - name: profile
          in: path
          required: true
          description: The profile ID
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClaimTransaction'
      responses:
        '202':
          description: '`TransactionClaim`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/TransactionClaim'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    ClaimTransaction:
      type: object
      properties:
        profile_id:
          type: string
        transaction_receipt_ref:
          type: string
        transaction_transacted_at:
          type: string
          format: date
        transaction_timezone:
          type: string
        transaction_total:
          type: number
        transaction_location_external_code:
          type: string
      required:
        - profile_id
        - transaction_receipt_ref
        - transaction_total
      title: ClaimTransaction
    TransactionClaim:
      type: object
      properties:
        id:
          type: integer
        status:
          type: string
        profile_id:
          type: string
        transaction_receipt_ref:
          type:
            - string
            - 'null'
        transaction_transacted_at:
          type:
            - string
            - 'null'
        transaction_timezone:
          type:
            - string
            - 'null'
        transaction_total:
          type:
            - string
            - 'null'
        transaction_location_external_code:
          type:
            - string
            - 'null'
        attempts:
          type:
            - integer
            - 'null'
        claimed_transaction_id:
          type:
            - integer
            - 'null'
        claimed_at:
          type: string
        last_checked_at:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - status
        - profile_id
        - transaction_receipt_ref
        - transaction_transacted_at
        - transaction_timezone
        - transaction_total
        - transaction_location_external_code
        - attempts
        - claimed_transaction_id
        - claimed_at
        - last_checked_at
        - created_at
        - updated_at
      title: TransactionClaim
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````